#ifndef WAITANIMATIONWIDGET_H
#define WAITANIMATIONWIDGET_H

#include <QMovie>
#include <QWidget>
#include <UI/resourcemanager.h>

namespace Ui {
class WaitAnimationWidget;
}

class WaitAnimationWidget : public QWidget
{
    Q_OBJECT

public:
    explicit WaitAnimationWidget(QWidget *parent = nullptr);
    void initialize(ResourceManager *resourceManager);
    void showWithPlay();
    void hideWithStop();
    ~WaitAnimationWidget();

public slots:
    void slotActivateLoadingAnimation(bool flag);

private:
    Ui::WaitAnimationWidget *ui;
    QMovie *loadingMovie;
};

#endif // WAITANIMATIONWIDGET_H
